function [I1,I2,F,C,ISS] = define_sets_new_log(ChannelOutput,sI1,sI2,ds,dr)


n = length(ChannelOutput{2}.Polarization.Z);

ch_xy1_Z = ChannelOutput{2}.Polarization.Z;
[ch_xy1_Zsort,b] = sort(ch_xy1_Z);
H_XY1_compl = b(1:find(ch_xy1_Zsort <= logdomain_diff(log(1),ds),1,'last'));
if length(H_XY1_compl)<(sI1+sI2),
    error('Message Rates cannot be achieved.')
end

ch_xz2_Z_LXY1 = ChannelOutput{3}.Polarization.Z(H_XY1_compl);
[~,b2] = sort(ch_xz2_Z_LXY1,'descend');
I2 = H_XY1_compl(b2(1:sI2));

auxSet = setdiff(H_XY1_compl,I2);
ch_xz1_Z_LXY1 = ChannelOutput{4}.Polarization.Z(auxSet);
[~,b3] = sort(ch_xz1_Z_LXY1,'descend');
I1 = auxSet(b3(1:sI1));


C = setdiff(H_XY1_compl,union(I1,I2));

F = setdiff(1:1:n, union(C,union(I1,I2)));

ISS = intersect(H_XY1_compl,find(ChannelOutput{2}.Polarization.Z>dr));

end


