function [R1,R2,ChOut,CHoCell] = init_channels(ch,chmod)


% Compute optimum input distribution
switch chmod
    case 1
        options = optimset('TolFun', 1e-20,'Display','off');
        x0 = 0.4;
        A = []; b = [];
        [x,~]= fmincon(@(x)fun1(x,ch),x0,[],[],A,b,...
            0,1,[],options);
    
end

x = 0.5;
% 'Channels':
%  -1-       -2-       -3-      -4-
% U-Y2  ||? U-Y1  ||  U-Z2  ||  U-Z1 
%   -5-       -6-        -7-       -8-
% X-Y2|U ||  X-Z2|U  ||?X-Z1|U ||  X-U
[R1,R2,ChOut,CHoCell] = fun1ev(x,ch);







